List ad audiences
curl --request GET \
--url https://api.kavenio.com/v1/ads/audiences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kavenio.com/v1/ads/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kavenio.com/v1/ads/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"audiences": [
{
"id": "<string>",
"platformAudienceId": "<string>",
"name": "<string>",
"platform": "<string>",
"status": "<string>",
"description": "<string>",
"spec": {
"countries": [
"<string>"
],
"regions": [
{
"key": "<string>",
"name": "<string>"
}
],
"cities": [
{
"key": "<string>",
"name": "<string>",
"radius": 123
}
],
"zips": [
{
"key": "<string>",
"name": "<string>"
}
],
"metros": [
{
"key": "<string>",
"name": "<string>"
}
],
"customLocations": [
{
"latitude": 0,
"longitude": 0,
"radius": 123,
"name": "<string>",
"address": "<string>"
}
],
"excludedLocations": {},
"ageMin": 56,
"ageMax": 56,
"languages": [
"<string>"
],
"interests": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>"
}
],
"behaviors": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>"
}
],
"demographics": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>"
}
],
"industries": [
"<string>"
],
"companySizes": [
"<string>"
],
"seniorities": [
"<string>"
],
"jobFunctions": [
"<string>"
],
"audienceInclude": [
"<string>"
],
"audienceExclude": [
"<string>"
],
"placements": {},
"specialAdCategories": [
"<string>"
]
},
"accountId": "<string>",
"adAccountId": "<string>",
"size": 0,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Ad audiences
List ad audiences
Returns advertising audiences for an internal connected account and optional platform ad account.
GET
/
v1
/
ads
/
audiences
List ad audiences
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Minimum string length:
1Available options:
facebook, instagram, metaads, googleads, tiktok, tiktokads, pinterest, linkedin, linkedinads, twitter, xads Available options:
customer_list, website, lookalike, saved_targeting Was this page helpful?
⌘I